<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Contnet-type" content="text/html;charset=UTF-8">
	<title>js-DOM-打开</title>
	<script type="text/javascript">
		
		var str='12 fff 89 er334,233-=-=fa80';
		alert(str.match(/\d+/g));//输出数字。
		// var re=new RegExp('a');
		// var re=new RegExp('a','i');
		var re=/a/i;
		var str='weqAf';
		alert(str.search(re));
		var str1='wq43434aafar4';
		var re1=/\d+/g;
		alert(str1.match(re1));
		var re2=/a/g;
		alert(str1.replace(re2,'0'));
	</script>
</head>
<body>
	
</body>
</html>